Introduction
GlaceEMR API development is to help medical practices to share more patient data with other authorized networks. To provide consistent interoperability across different disconnected systems GlaceEMR API follows the HL7 FHIR standard. More information can be found at the FHIR website.
GlaceEMR API is based on R4 of the FHIR standard. It uses the Data Access Framework (DAF) profile.Updates and definitions for use of DAF for Meaningful Use 2015 Edition can be found on the HL7 Wiki.
GlaceEMR API is a RESTful implementation for an API. At a high level this means several things.
- FHIR is resource-based. The resources are healthcare or related resources, for example patient or medication. All resources have an identifier that can be used to access or reference them.
- FHIR resources are accessed through HTTPS and use the HTTP verb GET.
GlaceEMR API provides the following resources
- Patient
- Allergy or Intolerance
- Care Team
- Plan of Care
- Device
- Diagnostic Report
- Encounter
- Goals
- Condition
- Immunization
- Location
- Medication Request
- Organization
- Observation
- Document Reference
As per the FHIR standard, the response contains resources which are independent and can reference other resources. They are not inter-dependent, so you don't need other resources to correctly interpret a resource. Resources reference each other extensively to form a web of information. You need to resolve references to fully understand the data. A reference is relative to a server-based URL.
Example : Reference between Resources
Authentication and Authorization
Confidential Clients
Our APIs are secured by an OAuth 2.0 authorization server. App developers that register with GlaceEMR are therefore issued OAuth client credentials used to request access tokens (a type of JSON web token, or 'JWT' - pronounced 'jot') from our authorization server. An access token represents an app's authorized access to one or more API endpoints used to read, write, or update data in athenaOne, where an app is required to provide an access token to make a successful request to those endpoints.
GlaceEMR supports the following authentication and authorization methods for Confidential Clients:
| App Type | Authentication | Grant-Type | O-Auth Flow |
|---|---|---|---|
| Standalone Launch | Symmetric (Shared Secret) | Authorization Code | 3-legged |
| EHR Launch | Symmetric (Shared Secret) | Authorization Code | 3-legged |
| Bulk-Data | Asymmetric (Public Key) | Client Credentials | 2-legged |
Non-Confidential Clients
For native/public applications that cannot store a secret, PKCE is not required. The application can register as a public stand-alone launch app. The application can authorize using the 'authorization code' grant type.
2-legged OAuth apps
- system/AllergyIntolerance.read
- system/Binary.read
- system/CarePlan.read
- system/CareTeam.read
- system/Condition.read
- system/Device.read
- system/DiagnosticReport.read
- system/DocumentReference.read
- system/Encounter.read
- system/Goal.read
- system/Immunization.read
- system/Location.read
- system/Medication.read
- system/MedicationRequest.read
- system/Observation.read
- system/Organization.read
- system/Patient.read
- system/Practitioner.read
- system/Procedure.read
- system/Provenance.read
Note:The scopes listed above are for 2-legged access using scopes of type 'system', whereas scopes of type 'user' and 'patient' are exclusive to 3-legged access.
Available Scopes for 3-Legged OAuth Apps
- openid
- fhirUser
- offline_access
Automatic approval of scopes for 3-legged OAth apps also extends to the necessary scopes for each app's intended SMART App Launch sequence, as well as those FHIR scopes corresponding to US Core resources and GlaceEMR's certified APIs. All FHIR APIs require the use of OAuth scopes using the SMART App Launch Framework v1.0.0 clinical scope syntax. The syntax for these scopes is:
clinical-scope = ('patient' | 'user' | 'system') '/' ([fhir-resource] | '*') '.' ('read' | 'write' | '*')
For example, 'patient/AllergyIntolerance.read' would allow an application to read a patient's AllergyIntolerance information on that patient's behalf.
By default, GlaceEMR does not permit apps to request wildcard scopes (those containing '*', such as 'patient/*.read', 'patient.AllergyIntolerance.*', or 'patient/*.*'), which provide access to all FHIR resources or permissions, nor does GlaceEMR permit write scopes (e.g., patient/AllergyIntolerance.write).
For patient-facing apps using 3-legged OAuth
- launch/patient
- patient/Appointment.rs
- patient/Assessment.rs
- patient/Binary.rs
- patient/AllergyIntolerance.rs
- patient/CarePlan.rs
- patient/CareTeam.rs
- patient/ClinicalImpression.rs
- patient/Condition.rs
- patient/Device.rs
- patient/DiagnosticReport.rs
- patient/DocumentReference.rs
- patient/Encounter.rs
- patient/Goal.rs
- patient/Immunization.rs
- patient/Location.rs
- patient/MedicalAdministration.rs
- patient/Medication.rs
- patient/MedicationDispense.rs
- patient/MedicationOrder.rs
- patient/MedicationRequest.rs
- patient/MedicationStatement.rs
- patient/Observation.rs
- patient/Organization.rs
- patient/Patient.rs
- patient/PracticeConfiguration.rs
- patient/Practitioner.rs
- patient/Procedure.rs
- patient/Provenance.rs
- patient/Provider.rs
- patient/Media.rs
- patient/Specimen.rs
- patient/Coverage.rs
For provider-facing apps using 3-legged OAuth
- launch
- user/AllergyIntolerance.rs
- user/Appointment.rs
- user/Assessment.rs
- user/Binary.rs
- user/CarePlan.rs
- user/CareTeam.rs
- user/ClinicalImpression.rs
- user/Condition.rs
- user/Device.rs
- user/DiagnosticReport.rs
- user/DocumentReference.rs
- user/Encounter.rs
- user/Goal.rs
- user/Immunization.rs
- user/Location.rs
- user/MedicalAdministration.rs
- user/Medication.rs
- user/MedicationDispense.rs
- user/MedicationOrder.rs
- user/MedicationRequest.rs
- user/MedicationStatement.rs
- user/Observation.rs
- user/Organization.rs
- user/Patient.rs
- user/PracticeConfiguration.rs
- user/Practitioner.rs
- user/Procedure.rs
- user/Provenance.rs
- user/Provider.rs
- patient/Media.rs
- patient/Specimen.rs
- patient/Coverage.rs
Note: The scopes listed above are for 3-legged access using scopes of type 'patient' and 'user'. Scopes of type 'system' are exclusive to 2-legged access, such as system-to-system calls that do not include a user.
Token Endpoint
The OAuth token endpoint is used to obtain access tokens. An access token must be provided as a bearer token with any request to an API used to read, write, or update data in GlaceEMR.
The sequence for calling the token endpoint is different for apps using 2-legged OAuth versus 3-legged OAuth: An app using 2-legged OAuth can call the token endpoint directly to obtain an access token, while an app using 3-legged OAuth must first call the authorize endpoint to request and obtain consent from an end user, such as a provider or patient. As a byproduct of end user authorization, the token endpoint response for 3-legged OAuth may also contain an ID token, refresh token, or launch context (see Output Parameters & Token Types section below for details), whereas only an access token is returned for 2-legged OAuth.
We support 4 methods of authenticating apps against the token endpoint, some of which are exclusive to your app's authorization method and selected app type when registering your application. Refer to the sections below for details on token endpoint authentication using each method:
- Using a client secret is the simplest method, which requires you to provide your client ID and secret in a basic authorization header when calling the token API.
- Using an imported public JWKS (JSON Web Key Set) (2-legged OAuth and 3-legged OAuth web apps only) is more complex, but also more secure. A JWT (JSON Web Token) is generated and signed with a public/private keypair by the caller and presented to the token endpoint. The call is authenticated if the JWT's signature can be verified using one of the app's public keys.
- Using a self-hosted JWKS URL (2-legged OAuth and 3-legged OAuth web apps only) is potentially the most secure method by giving you direct control over the JWKS and key rotation. The overall pattern for JWT generation and authentication follows that of an imported public JWKS, except that JWT signature and verification references a self-hosted URL as opposed to a public one.
- Using a proof key for code exchange, or 'PKCE' - pronounced 'pixie' (3-legged OAuth only), requires you to generate your own secret for each token request that can be verified by GlaceEMR's authorization server. PKCE is required by the token API for native or single-page browser apps that cannot securely store a client secret.
Token Authentication Using Client Secret
When using secret-based authentication, your app will have a client secret associated with its client ID. This secret will be passed in a basic authorization header on every request to the token endpoint.
Please remember that as a security measure, you should never share your client ID or secret. If this happens, we will need to create another set of credentials associated with your account.
Token Generation
To request a token using secret-based authentication, make a request with the following parameters utilizing basic authentication to include your client ID and client secret in a basic authorization header.
curl https://auth.glaceemr.com/realms/fhir/protocol/openid-connect/token \
-X POST \
-u "$CLIENT_ID:$CLIENT_SECRET" \
-d "grant_type=client_credentials" \
-d "scope=glaceemr/service/glaceemr.MDP.*"
Troubleshooting
There is a common error that involves POSTing the username and password. This does not work. It must use basic authentication (essentially, "$key:$secret" Base64 encoded).
Token Authentication Using JWKS (JSON Web Key Sets)
Client-assertion JWT-based (JSON Web Token) authentication uses a public/private keypair to authenticate the caller to the token endpoint (see here for information on how to generate public/private keypairs). Using this approach, your application will have no client secret. You must associate at least one public key with your application via a self-hosted JWKS (JSON Web Key Set) URL or by importing your public JWKS.
JWT-based authentication with JWKS is more involved for the end-user, requiring you to generate keypairs and sign JWT assertions to retrieve a token. The benefit of using this method is that it is more secure as the private portion of your keypair is never out of your hands (note: using the self-hosted JWKS URL provides even further control and security versus importing your public JWKS by granting you ownership of your keys and key rotation). Using JWKS also enables zero-downtime rotation of credentials. You can have multiple public keys associated with your app (recommended to have 1-5 keys) enabling you to rotate by introducing a new keypair, transitioning your code to use this new keypair, and then deleting the old keypair.
Forming the JWT Assertion
Requesting a token using the client assertion JWT-method requires that you sign a JWT assertion using the private portion of a keypair associated with your app. This assertion is then provided to the token endpoint for authentication. The assertion JWT must contain the following claims:
|
Claim |
Description |
Type |
|
aud |
Required. The URL of the backend authorization resource. This varies by environment, listed below.
|
string |
|
exp |
Required. An expiration time for this token in seconds since the epoch. Must be less than an hour into the future. The assertion token will no longer be valid after this time expires. |
number |
|
iss |
Required. Set to the client ID of the application for which you're requesting a token. |
string |
|
sub |
Required. Set to the client ID of the application for which you're requesting a token. |
string |
Requesting the Token
To request a token with the JWT you've generated, include the JWT along with the other parameters as demonstrated below:
# Construct the client assertion JWT using a script like the above.
JWT=$(node generate-jwt.js)
# Include the JWT in a token request with the appropriate parameters for the
# environment.
curl -X POST "https://api.preview.platform.GlaceEMR.com/oauth2/v1/token" \
-H "Accept: application/json" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "grant_type=client_credentials" \
-d "scope=glaceemr/service/glaceemr.MDP.*" \
-d "client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer" \
-d "client_assertion=$JWT"
Token Authentication Using PKCE
Consistent with OAuth best practice and SMART App Launch v2.0.0 proposals, token authentication using PKCE is required by GlaceEMR's authorization server for native or single-page browser apps using 3-legged OAuth that cannot securely store a client secret. PKCE is an enhancement to the OAuth 2.0 Authorization Code Flow that requires your app to generate its own secret for each token request (called a 'code verifier') that can be verified by GlaceEMR's authorization server (using a transformed value of the code verifier called a 'code challenge', which is passed in the authorize request along with the transformation method, or 'code challenge method'). The code challenge and code challenge method must be provided in your app's authorize request and the code verifier sent in the token request.
To leverage PKCE for your app, please refer to the IETF's official PKCE overview for details and restrictions of the code verifier, code challenge, and code challenge method parameters.
Input Parameters
IMPORTANT: Endpoint requires client authentication. Refer to samples in sections above for token authentication method applicable to your app.
* = required
| grant_type* | string |
For 2-legged OAuth, the value is always client_credentials. For 3-legged OAuth, either the value is authorization_code to initially request an access token, or the value is refresh_token to obtain a new access token from a refresh token. |
|
redirect_uri |
string |
Required if grant_type is authorization_code (3-legged OAuth only). The value is the post-login redirect URI for your app and must match the value for redirect_uri provided to the authorize endpoint. |
|
code |
string |
Required if grant_type is authorization code (3-legged OAuth only). The value is the code parameter returned by the authorize endpoint. |
|
code_verifier |
string |
Required for token authentication using PKCE if grant_type is authorization_code (3-legged OAuth only) and your app cannot securely store or does not have a client secret. The value is a one-time use, unique string generated by your app. |
|
refresh_token |
string |
Required if grant_type is refresh_token. The value is the refresh token returned by the authorize endpoint. |
|
scope |
string |
Required if grant_type is client_credentials (2-legged OAuth) or refresh_token (3-legged OAuth only). The value is a space-delimited, case-sensitive string of requested scopes. If grant_type is refresh_token, the requested scopes must be a subset of those provided to the authorize endpoint when the refresh token was originally generated. |
Output Parameters & Token Types
The token endpoint returns a JSON object including up to 3 types of JWTs and associated information:
- access_token - JWT to be used as a bearer token in subsequent API requests
- token_type - describes the access token; value is always 'Bearer'
- expires_in - represents the lifetime of the access token in seconds (default is 60 minutes for 2-legged OAuth and 3-legged OAuth apps)
- id_token - JWT containing information on the authenticated end user (3-legged OAuth only)
- refresh_token - JWT used to obtain a new access token without requiring re-authentication by an end user (3-legged OAuth only; default expiration is 90 days from the most recent token request that used or generated that refresh token)
If using 2-legged OAuth, the token response has the following format:
{
"access_token": "bSQeVaRd47Tnof8GWbDZTud9ghLP",
"expires_in": "300"
}
If using 3-legged OAuth, the token response has the following format:
{"token_type":"Bearer","expires_in":300,"access_token":"N09411aa6CiXmdNnkp6l7V6lk5UH","scope":"openid fhirUser offline_access launch/patient patient/AllergyIntolerance.read patient/CarePlan.read patient/CareTeam.read patient/Condition.read patient/Device.read patient/DiagnosticReport.read patient/DocumentReference.read patient/Encounter.read patient/Goal.read patient/Immunization.read patient/Location.read patient/Medication.read patient/MedicationRequest.read patient/Observation.read patient/Organization.read patient/Patient.read patient/Practitioner.read patient/Procedure.read patient/Provenance.read","refresh_token":"uw-4cwXncULPI5skwLhdIntJAVc8WeEvPpYcSZDj6PU","id_token":"eyJraWQiOiJ1Z09JUjBWSWNtVnBUejdzeFNPNmpzVk1LQXVPY3ZSOHVnY0ZsbUxMNXFRIiwiYWxnIjoiUlMyNTYifQ.eyJzdWIiOiIwMHVibXVjem96bmFMcGFhVzI5NyIsInZlciI6MSwiaXNzIjoiaHR0cHM6Ly9hdGhlbmEub2t0YS5jb20vb2F1dGgyL2F1czJoZmY1ZXFGYjdXcWZoMjk3IiwiYXVkIjoiMG9hYXQxZHpkc3dFZ2JjSHkyOTciLCJpYXQiOjE2NTA1NTgxNDEsImV4cCI6MTY1MDU2MTc0MSwianRpIjoiSUQudmpRQmJ1N0U4b0tzUUtZMXg1bVNnczN2aVRISXdSeWNhclRHRTVYOFIxSSIsImFtciI6WyJwd2QiXSwiaWRwIjoiMDBvNnd6c2F2ZjdVNXpsNFMyOTYiLCJhdXRoX3RpbWUiOjE2NTA1NTgxMjIsImF0X2hhc2giOiJ0WEFFTTdKdF9zaC1rcE50d011cWlRIiwiZmhpclVzZXIiOiJodHRwczovL2FwaS5wbGF0Zm9ybS5hdGhlbmFoZWFsdGguY29tL2ZoaXIvcjQvUGF0aWVudC9hLTEyMy5FLTQ1Njc4OTAifQ.oSmOlQ41imNhulLhYUYAIXzu-nHukethXIuZNaOGrptCjKbcMzIghSo63tR_KW2ROgwgkQ_xhmrjo3NwoIt9eMSDArPb_zvM94RofP0SpcF5p0K-GedWC6HKEFFsB2rwoy9BZ5405Upp6MpY1Xd-nKxaxjXaiNjmwB2qIyt7LrhfZpbPHkYdnma88IYA7AQCIvHRcUZmQ4OK_6RTxIacsp54Rhuc2hcPpUNNKrTxgdCdfXmLhLtB_LlP2kAMKvNlC-MBsvHRrlDUvIhbjioFniY7gEkx1o7M1ezfqAQXwDwMmlbLuTO4ry48Oz4fkOHeGhb-VBoHHrkx-VMyI2K-ag","patient":"a-123.E-4567890"}
Use an Access Token as a Bearer Token
Your app must parse the token API response for the access token to include in the header of subsequent requests to API endpoints used to read, write, or update GlaceEMR data. For example:
curl 'https://auth.glaceemr.com/realms/fhir/protocol/openid-connect/token' \
-H'Authorization: Bearer {access_token}'
Refresh a Token
Due to the short-lived nature of access tokens, apps using 3-legged OAuth may want to request these tokens periodically without repeatedly requiring the end user (patient or provider) to log in and approve the request. This is possible using a refresh token, which is returned by the authorize endpoint when the offline_access scope is requested and obtained with the user's authorization. To get an access token from a refresh token, you will need to form a new token request providing the refresh token in the refresh_token parameter and refresh_token as the value for the grant_type parameter. Your app will also need to specify in the scope parameter which of the previously granted scopes your app would like included in the new access token. You can view which scopes were previously granted with an access token using introspection.
Authorize Endpoint
The OAuth authorize endpoint is used exclusively for 3-legged OAuth to request and obtain end user login and consent as a prerequisite to requesting an access token. The authorize endpoint temporarily redirects the end user, in which the user is asked to log in or automatically authenticated using an existing login session, prompted for consent (if applicable), and finally redirected back to the requesting app with an authorization code. The app then provides this authorization code to the token endpoint to obtain an access token.
The most common and secure patterns for end user authorization through the authorize endpoint are the Provider EHR SMART App Launch and Patient Standalone SMART App Launch sequences outlined by the SMART on FHIR specification, although other end user workflows are possible based on the OAuth scopes provided in the authorize request.
Launch a Provider-Facing App
Embedded apps launched from GlaceEMR must provide a launch URL to obtain OAuth client credentials. The launch URL will be hyperlinked in your app's launch space within GlaceEMR, such as the Apps section of the patient chart. When a provider clicks on this link, GlaceEMR will redirect to the launch URL with two appended query parameters per the Provider EHR SMART App Launch specification:
|
launch |
A unique identifier for the launch event. |
|
iss |
The FHIR resource issuer, which in this case is the base URL for GlaceEMR's FHIR API server (see FHIR API Locations and Metadata for details) |
Your app's launch URL should be configured to both:
- automatically form an authorize request upon redirect
- parse the redirect URL for the launch and iss parameters to include in the authorize request (see launch and aud parameters in Input Parameters below)
Input Parameters
* = required
|
client_id* |
string |
The value is your app's OAuth client ID. The client ID must be provisioned for the GlaceEMR environment specified in the base URL of the authorize endpoint. |
|
response_type* |
string |
The value is always code. |
|
redirect_uri* |
string |
The value is your app's post-login redirect URI where you will receive an authorization code. The redirect URI must exactly match a post-login redirect URI configured for your app's OAuth client credentials during registration. |
|
scope* |
string |
The value is a space-delimited, case-sensitive string of requested scopes. At minimum you must request the OpenID Connect workflow scope (openid) for successful authentication and to obtain an ID token in the token endpoint response. To obtain a refresh token in the token endpoint response, you must request the offline_access scope. To perform a SMART App Launch sequence, you must request either the launch or launch/patient scope (for provider EHR launch or patient standalone launch, respectively) in addition to resource-level scopes for those FHIR endpoints you will access through your app launch. |
|
aud |
string |
The value is the FHIR base URL, used to specify the organization for which the end user will be authenticated. The FHIR base URL may specify practice ID, department ID, brand ID, chart sharing group ID, or none of the above to indicate a global login. |
|
launch |
string |
Required to launch a provider-facing app from GlaceEMR. The value specifies a unique app launch event and must match the launch parameter appended to your app's launch URL by GlaceEMR. |
|
nonce |
string |
Required if requesting the openid scope. The value is a one-time use arbitrary string provided by your app and subsequently returned by token endpoint as a claim in the ID token. The intent of this parameter, per OAuth specification, is for your app to compare the provided nonce with the nonce claim in the ID token claim to help prevent replay attacks. |
|
state* |
string |
The value is a one-time use arbitrary string provided by your app and subsequently returned by the authorize endpoint. The intent of this parameter, per OAuth specification, is for your app to compare the request and response values to prevent cross-site request forgery attacks. |
|
code_challenge |
string |
Required for token authentication using PKCE if your app cannot securely store or does not have a client secret. The value is the transformation of a one-time use, unique string generated by your app, where the original string (code verifier) conforms to provided to the token endpoint. |
|
code_challenge_method |
string |
Required for token authentication using PKCE if your app cannot securely store or does not have a client secret. The value is the encryption method used to transform the code verifier into the code challenge (e.g., value is S256 if using SHA256 encryption). |
Response Parameters & Configure a Redirect URI
|
code |
string |
The value is an obscure authorization code generated by our authorization server and required to make a token request using 3-legged OAuth. |
|
state |
string |
The value is identical to the state parameter provided in your app's authorize request. |
To string together the authorize and token endpoint requests required for 3-legged OAuth, you will need to configure your app's redirect URI to accept GET requests from the authorize endpoint with the above parameters. Your redirect URI must parse the code parameter from the response to include with your token request.
Terms Of Use
In these API Terms of Use ("Terms") "GlaceEMR" refers to Glenwood Systems, LLC.'s ("GLENWOOD") Electronic Health Records product GlaceEMR and its ancillary software, and "HCO" refers to the Health Care Organization that has implemented the GlaceEMR API software. These Terms govern your access to and use of the GlaceEMR API. By accessing or using the GlaceEMR API, the App Developer ("You") or App User ("You"), agree to be bound by these Terms.
1. OFFICE OF THE NATIONAL COORDINATOR FOR HEALTH INFORMATION TECHNOLOGY ("ONC")
Pursuant to requirements set forth by the ONC for electronic health record ("EHR") software to meet in order to be certified EHR for the 2015 edition, GLENWOOD has made available the GlaceEMR API via this site to enable retrieval of patient information from the GlaceEMR EHR.
2. ACCEPTING THE TERMS
a. Legal Age
You represent and warrant that you are at least 18 years of age and that you possess the legal right and ability to agree to these Terms and to use the GlaceEMR API in accordance with these Terms.
b. Entity-Level Acceptance
If you are using the GlaceEMR API on behalf of an entity, you represent and warrant that you have authority to bind that entity to the Terms and by accepting the Terms, you are doing so on behalf of that entity (and all references to "you" in the Terms refer to that entity).
3. CHANGES
a. To GlaceEMR API
GLENWOOD may modify or update the GlaceEMR API from time to time. We will try to ensure, as far as possible, that future version(s) of the GlaceEMR API are backwards compatible with at least the most recent previous version but cannot guarantee that this will always be possible. You should adapt your app to use the most up-to-date version of the GlaceEMR API promptly following release by GLENWOOD.
b. To GlaceEMR API Terms of Use
GLENWOOD may change and update these Terms from time to time and will publish any changes on this page. Make sure to check this page for any updates. Your continued use of the API after any such changes constitutes your acceptance of the new terms. If you are unable to comply with any amended version of the Terms, you should stop use of the GlaceEMR API immediately.
4. RESPONSIBILITIES AND REPRESENTATIONS
a. Compliance
You agree to comply with all aspects of Health Insurance Portability and Accountability Act of 1996 (HIPAA), Health Information Technology for Economic and Clinical Health Act of 2009 (HITECH), Health and Human Services' (HHS) Omnibus Rule of 2013, all applicable local laws, all applicable state laws, all applicable federal laws, rules and regulations relating to the use of the GlaceEMR API.
b. Registration
You agree to register your app with an HCO that has implemented the GlaceEMR API. You represent and warrant that the registration information you provide to HCO is accurate.
c. App
You represent and warrant that your app is stable and secured.
d. Support
You agree to provide meaningful customer support for your app and to make it easy for customers to contact you with questions and concerns about your App.
e. Privacy Policy
You agree to provide and comply with a publicly accessible privacy policy.
5. HEALTH CARE ORGANIZATION
The HCO with which you register your app may provide its own Terms of Use ("HCO Terms"). You agree to adhere to the HCO Terms. In the event of a conflict between these Terms and the HCO Terms, the HCO Terms will control.
6. GlaceEMR API RESTRICTIONS
When using the GlaceEMR API, you may not (or allow those acting on your behalf to):
- Sell, lease or sublicense the GlaceEMR API or any data derived through the GlaceEMR API.
- Reverse engineer or attempt to extract the source code from any API or any related software, except to the extent that this restriction is expressly prohibited by applicable law.
- Perform an Action with the intent of introducing to the GlaceEMR API any viruses, defects, malware, or any items of a destructive nature.
- Interfere with or disrupt the GlaceEMR API or the servers or networks providing the GlaceEMR API.
7. GlaceEMR API LIMITATIONS
GLENWOOD sets and enforces limits on your use of the GlaceEMR API, in our sole discretion, without notice or liability. GLENWOOD reserves the right to:
- Rate limit or block apps that make a large number of calls to the GlaceEMR API
- Disable, restrict or remove your app's access to the GlaceEMR API
- Change, suspend, or discontinue the availability of the GlaceEMR API at any time
- Impose limits on certain features or restrict your access to parts or all of the GlaceEMR API
8. IP OWNERSHIP
GLENWOOD retains ownership of GLENWOOD's property and reserves all of its applicable rights with respect to the content of this site, the GlaceEMR EHR, and the GlaceEMR API. Nothing in these Terms shall convey any transfer of ownership of GLENWOOD's property.
9. INDEMNIFICATION
YOU AGREE TO INDEMNIFY, DEFEND AND HOLD HARMLESS GLENWOOD, ITS OFFICERS, DIRECTORS, EMPLOYEES, AGENTS, AFFILIATES, INFORMATION PROVIDERS AND SUPPLIERS FROM AND AGAINST ALL CLAIMS, LIABILITIES, LOSSES, EXPENSES, DAMAGES AND COSTS, INCLUDING REASONABLE ATTORNEYS' FEES ("CLAIMS"), RESULTING FROM ANY VIOLATION OF THESE TERMS OR ANY CLAIMS ARISING FROM YOUR USE OF THE GlaceEMR API OR THE GLENWOOD WEB SITE, GlaceEMR WEBSITES (INCLUDING BUT NOT LIMITED TO INFRINGEMENT OF THIRD PARTIES' INTELLECTUAL PROPERTY RIGHTS, MISAPPROPRIATION OF TRADE SECRETS OR OTHER PROPRIETARY RIGHTS OR NEGLIGENT OR WRONGFUL CONDUCT).
10. DISCLAIMERS
THIS SITE AND THE GlaceEMR API ARE PROVIDED ON AN "AS IS" AND "AS AVAILABLE" BASIS. YOU EXPRESSLY AGREE THAT USE OF THIS SITE AND/OR THE GlaceEMR API IS AT YOUR SOLE RISK. TO THE FULLEST EXTENT PERMITTED BY LAW, GLENWOOD AND ITS OFFICERS, DIRECTORS, EMPLOYEES, AGENTS, AFFILIATES, INFORMATION PROVIDERS AND SUPPLIERS DISCLAIM ALL WARRANTIES OF ANY KIND, WHETHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE, OR NON-INFRINGEMENT. GLENWOOD MAKES NO REPRESENTATIONS ABOUT THE SUITABILITY, RELIABILITY, AVAILABILITY, AND ACCURACY OF THE GlaceEMR API OR OTHER INFORMATION, TECHNOLOGY, SOFTWARE, PRODUCTS, SERVICES AND RELATED GRAPHICS PROVIDED BY GLENWOOD FOR ANY PURPOSE.
11. LIMITATION OF LIABILITY
TO THE FULLEST EXTENT PERMITTED BY LAW, UNDER NO CIRCUMSTANCES, SHALL GLENWOOD, ITS OFFICERS, DIRECTORS, EMPLOYEES, AGENTS, AFFILIATES, INFORMATION PROVIDERS AND/OR ITS SUPPLIERS BE LIABLE FOR ANY DIRECT, INDIRECT, PUNITIVE, INCIDENTAL, SPECIAL, CONSEQUENTIAL DAMAGES OR ANY OTHER DAMAGES WHATSOEVER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF USE, DATA OR PROFITS, ARISING OUT OF OR IN ANY WAY CONNECTED WITH THE ACCESS, USE OR PERFORMANCE OF THE GlaceEMR API, WITH THE DELAY OR INABILITY TO USE THE GlaceEMR API OR RELATED TECHNOLOGY, SOFTWARE OR SERVICES, THE PROVISION OF OR FAILURE TO PROVIDE THE GlaceEMR API, SOFTWARE OR SERVICES, OR FOR ANY INFORMATION, SOFTWARE, PRODUCTS, SERVICES AND RELATED GRAPHICS OBTAINED FROM GLENWOOD, OR OTHERWISE ARISING OUT OF THE USE OF THE GlaceEMR API, WHETHER BASED ON CONTRACT, TORT, NEGLIGENCE, STRICT LIABILITY OR OTHERWISE, EVEN IF GLENWOOD HAS BEEN ADVISED OF THE POSSIBILITY OF DAMAGES. IF YOU ARE DISSATISFIED WITH ANY PORTION OF THE GlaceEMR API OR WITH THESE TERMS OF USE, YOUR SOLE AND EXCLUSIVE REMEDY IS TO DISCONTINUE USING THE GlaceEMR API. NOTWITHSTANDING THE FOREGOING PARAGRAPH, THE TOTAL LIABILITY OF GLENWOOD, ITS OFFICERS, DIRECTORS, EMPLOYEES, AGENTS, AFFILIATES,INFORMATION PROVIDERS AND/OR SUPPLIERS, IF ANY, FOR LOSSES OR DAMAGES SHALL NOT EXCEED THE FEES PAID BY YOU FOR THE USE OF THE PARTICULAR TECHNOLOGY, SOFTWARE, PRODUCT, INFORMATION OR SERVICE PROVIDED BY GLENWOOD.
12. THIRD PARTY CONTENT
The GlaceEMR API may contain software, materials, content, data, or information provided, posted, or offered by third parties. You agree that neither GLENWOOD nor its affiliates shall have any liability whatsoever to you for any such third-party software, materials, content, data, or information.
13. TERM AND TERMINATION
Either you, GLENWOOD or the HCO may terminate your right to use the GlaceEMR API at any time, with or without cause or notice.
14. PUBLICITY
You will not make any statement regarding your use of the GlaceEMR API which suggests a partnership with, sponsorship by, or endorsement by GLENWOOD without GLENWOOD's written approval.
15. APPLICABLE LAW
These Terms shall be governed by and construed in accordance with the laws of the State of Connecticut. Any and all claims arising out of or relating to these Terms shall be brought in a state or federal court of competent jurisdiction in the State of Connecticut. You consent to the personal and subject matter jurisdiction of the state and/or federal courts located in the State of Connecticut and waive (a) any objection to jurisdiction or venue, or (b) any defense claiming lack of jurisdiction or improper venue, in any action brought in such courts.
Allergy or Intolerance
Definition : Risk of harmful or undesirable, physiological response which is unique to an individual and associated with exposure to a substance.
Retrieving a patient's allergy intolerances
The Patient's ID retrieved from Centralized Patient Database will be passed as a part of the URL. ** This API does not use date range to filter. **
AllergyIntolerance
Resource Content
| Name | Type | Cardinality | Description |
|---|---|---|---|
| identifier | Identifier | 0..* | external ids for this item |
| clinicalStatus | CodeableConcept | 0..1 | active |
| verificationStatus | CodeableConcept | 1..1 | unconfirmed |
| type | code | 0..1 | allergy |
| category | code | 0..* | food |
| criticality | code | 0..1 | low |
| code | CodeableConcept | 1..1 | code that identifies the allergy or intolerance - ValueSet |
| patient | Reference | 1..1 | who the sensitivity is for |
| encounter | Reference | 0..1 | encounter when the allergy or intolerance was asserted. When allergy or intolerance was identified |
| onsetDateTime | dateTime | 0..1 | when allergy or intolerance was identified |
| onsetAge | Age | 0..1 | when allergy or intolerance was identified |
| onsetPeriod | Period | 0..1 | when allergy or intolerance was identified |
| onsetRange | Range | 0..1 | when allergy or intolerance was identified |
| onsetString | string | 0..1 | when allergy or intolerance was identified |
| recordedDate | dateTime | 0..1 | date first version of the resource instance was recorded |
| recorder | Reference | 0..1 | who recorded the sensitivity |
| asserter | Reference | 0..1 | source of the information about the allergy |
| lastOccurrence | dateTime | 0..1 | date(/time) of last known occurrence of a reaction |
| note | Annotation | 0..* | additional text not captured in other fields |
| reaction | BackboneElement | 0..* | adverse Reaction Events linked to exposure to substance |
| reaction.manifestation | CodeableConcept | 1..* | ValueSet |
Search Parameters
| Name | Type | Description |
|---|---|---|
| severity | token | mild |
| date | date | date record was believed accurate |
| manifestation | token | clinical symptoms/signs associated with the Event |
| recorder | reference | who recorded the sensitivity |
| code | token | code that identifies the allergy or intolerance |
| verification-status | token | unconfirmed |
| clinical-status | token | active |
| patient | reference | who the sensitivity is for |
| _include | AllergyIntolerance:recorder | |
| _revinclude | Provenance:target |
Errors
| Code | Description |
|---|---|
| 400 | Invalid parameters |
| 404 | Resource not found |
AllergyIntolerance
Method: GET
https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/AllergyIntolerance
Examples
Using identifier
Request
GET https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/AllergyIntolerance/{{ResourceId}}
Response
200 - OK
Headers
| Param | Value | Description | Type |
|---|---|---|---|
| Content-Type | application/json | text |
Body
{
"resourceType": "AllergyIntolerance",
"id": "{{ResourceId}}",
"meta": {
"versionId": "1",
"lastUpdated": "2021-03-23T19:36:29.300+00:00",
"source": "#iLFSV7OLv0KF8dmQ",
"profile": [
"http://hl7.org/fhir/us/core/StructureDefinition/us-core-allergyintolerance"
]
},
"clinicalStatus": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/allergyintolerance-clinical",
"code": "active"
}
]
},
"verificationStatus": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/allergyintolerance-verification",
"code": "confirmed"
}
]
},
"type": "allergy",
"category": [
"food"
],
"criticality": "low",
"code": {
"coding": [
{
"system": "http://snomed.info/sct",
"code": "300913006",
"display": "Shellfish allergy"
}
],
"text": "Shellfish allergy"
},
"patient": {
"reference": "Patient/{{PPG}}"
},
"recordedDate": "1941-10-14T18:33:18-05:00"
}Using search parameters
Request
GET https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/AllergyIntolerance?patient={{PPG}}
Response
200 - OK
Headers
| Param | Value | Description | Type |
|---|---|---|---|
| Content-Type | application/json | text |
Body
{
"resourceType": "Bundle",
"id": "c6819f53-10bf-4615-b0af-5ee5b8f7f1ae",
"meta": {
"lastUpdated": "2022-11-04T16:03:39.913+00:00"
},
"type": "searchset",
"total": 10,
"link": [
{
"relation": "self",
"url": "https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/AllergyIntolerance?patient={{PPG}}"
}
],
"entry": [
{
"fullUrl": "https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/AllergyIntolerance/{{ResourceId}}",
"resource": {
"resourceType": "AllergyIntolerance",
"id": "{{ResourceId}}",
"meta": {
"versionId": "1",
"lastUpdated": "2021-03-23T19:36:29.300+00:00",
"source": "#iLFSV7OLv0KF8dmQ",
"profile": [
"http://hl7.org/fhir/us/core/StructureDefinition/us-core-allergyintolerance"
]
},
"clinicalStatus": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/allergyintolerance-clinical",
"code": "active"
}
]
},
"verificationStatus": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/allergyintolerance-verification",
"code": "confirmed"
}
]
},
"type": "allergy",
"category": [
"food"
],
"criticality": "low",
"code": {
"coding": [
{
"system": "http://snomed.info/sct",
"code": "300913006",
"display": "Shellfish allergy"
}
],
"text": "Shellfish allergy"
},
"patient": {
"reference": "Patient/{{PPG}}"
},
"recordedDate": "1941-10-14T18:33:18-05:00"
},
"search": {
"mode": "match"
}
},
{
"fullUrl": "https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/AllergyIntolerance/389",
"resource": {
"resourceType": "AllergyIntolerance",
"id": "389",
"meta": {
"versionId": "1",
"lastUpdated": "2021-03-23T19:36:29.300+00:00",
"source": "#iLFSV7OLv0KF8dmQ",
"profile": [
"http://hl7.org/fhir/us/core/StructureDefinition/us-core-allergyintolerance"
]
},
"clinicalStatus": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/allergyintolerance-clinical",
"code": "active"
}
]
},
"verificationStatus": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/allergyintolerance-verification",
"code": "confirmed"
}
]
},
"type": "allergy",
"category": [
"food"
],
"criticality": "low",
"code": {
"coding": [
{
"system": "http://snomed.info/sct",
"code": "418689008",
"display": "Allergy to grass pollen"
}
],
"text": "Allergy to grass pollen"
},
"patient": {
"reference": "Patient/{{PPG}}"
},
"recordedDate": "1941-10-14T18:33:18-05:00"
},
"search": {
"mode": "match"
}
},
{
"fullUrl": "https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/AllergyIntolerance/394",
"resource": {
"resourceType": "AllergyIntolerance",
"id": "394",
"meta": {
"versionId": "1",
"lastUpdated": "2021-03-23T19:36:29.300+00:00",
"source": "#iLFSV7OLv0KF8dmQ",
"profile": [
"http://hl7.org/fhir/us/core/StructureDefinition/us-core-allergyintolerance"
]
},
"clinicalStatus": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/allergyintolerance-clinical",
"code": "active"
}
]
},
"verificationStatus": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/allergyintolerance-verification",
"code": "confirmed"
}
]
},
"type": "allergy",
"category": [
"food"
],
"criticality": "low",
"code": {
"coding": [
{
"system": "http://snomed.info/sct",
"code": "91935009",
"display": "Allergy to peanuts"
}
],
"text": "Allergy to peanuts"
},
"patient": {
"reference": "Patient/{{PPG}}"
},
"recordedDate": "1941-10-14T18:33:18-05:00"
},
"search": {
"mode": "match"
}
},
{
"fullUrl": "https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/AllergyIntolerance/391",
"resource": {
"resourceType": "AllergyIntolerance",
"id": "391",
"meta": {
"versionId": "1",
"lastUpdated": "2021-03-23T19:36:29.300+00:00",
"source": "#iLFSV7OLv0KF8dmQ",
"profile": [
"http://hl7.org/fhir/us/core/StructureDefinition/us-core-allergyintolerance"
]
},
"clinicalStatus": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/allergyintolerance-clinical",
"code": "inactive"
}
]
},
"verificationStatus": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/allergyintolerance-verification",
"code": "confirmed"
}
]
},
"type": "allergy",
"category": [
"food"
],
"criticality": "low",
"code": {
"coding": [
{
"system": "http://snomed.info/sct",
"code": "714035009",
"display": "Allergy to soya"
}
],
"text": "Allergy to soya"
},
"patient": {
"reference": "Patient/{{PPG}}"
},
"recordedDate": "1941-10-14T18:33:18-05:00"
},
"search": {
"mode": "match"
}
},
{
"fullUrl": "https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/AllergyIntolerance/386",
"resource": {
"resourceType": "AllergyIntolerance",
"id": "386",
"meta": {
"versionId": "1",
"lastUpdated": "2021-03-23T19:36:29.300+00:00",
"source": "#iLFSV7OLv0KF8dmQ",
"profile": [
"http://hl7.org/fhir/us/core/StructureDefinition/us-core-allergyintolerance"
]
},
"clinicalStatus": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/allergyintolerance-clinical",
"code": "active"
}
]
},
"verificationStatus": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/allergyintolerance-verification",
"code": "confirmed"
}
]
},
"type": "allergy",
"category": [
"food"
],
"criticality": "low",
"code": {
"coding": [
{
"system": "http://snomed.info/sct",
"code": "419474003",
"display": "Allergy to mould"
}
],
"text": "Allergy to mould"
},
"patient": {
"reference": "Patient/{{PPG}}"
},
"recordedDate": "1941-10-14T18:33:18-05:00"
},
"search": {
"mode": "match"
}
},
{
"fullUrl": "https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/AllergyIntolerance/385",
"resource": {
"resourceType": "AllergyIntolerance",
"id": "385",
"meta": {
"versionId": "1",
"lastUpdated": "2021-03-23T19:36:29.300+00:00",
"source": "#iLFSV7OLv0KF8dmQ",
"profile": [
"http://hl7.org/fhir/us/core/StructureDefinition/us-core-allergyintolerance"
]
},
"clinicalStatus": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/allergyintolerance-clinical",
"code": "inactive"
}
]
},
"verificationStatus": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/allergyintolerance-verification",
"code": "confirmed"
}
]
},
"type": "allergy",
"category": [
"food"
],
"criticality": "low",
"code": {
"coding": [
{
"system": "http://snomed.info/sct",
"code": "300916003",
"display": "Latex allergy"
}
],
"text": "Latex allergy"
},
"patient": {
"reference": "Patient/{{PPG}}"
},
"recordedDate": "1941-10-14T18:33:18-05:00",
"reaction": [
{
"manifestation": [
{
"coding": [
{
"system": "http://snomed.info/sct",
"code": "271807003",
"display": "skin rash"
}
],
"text": "skin rash"
}
]
}
]
},
"search": {
"mode": "match"
}
},
{
"fullUrl": "https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/AllergyIntolerance/387",
"resource": {
"resourceType": "AllergyIntolerance",
"id": "387",
"meta": {
"versionId": "1",
"lastUpdated": "2021-03-23T19:36:29.300+00:00",
"source": "#iLFSV7OLv0KF8dmQ",
"profile": [
"http://hl7.org/fhir/us/core/StructureDefinition/us-core-allergyintolerance"
]
},
"clinicalStatus": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/allergyintolerance-clinical",
"code": "active"
}
]
},
"verificationStatus": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/allergyintolerance-verification",
"code": "confirmed"
}
]
},
"type": "allergy",
"category": [
"food"
],
"criticality": "low",
"code": {
"coding": [
{
"system": "http://snomed.info/sct",
"code": "232350006",
"display": "House dust mite allergy"
}
],
"text": "House dust mite allergy"
},
"patient": {
"reference": "Patient/{{PPG}}"
},
"recordedDate": "1941-10-14T18:33:18-05:00"
},
"search": {
"mode": "match"
}
},
{
"fullUrl": "https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/AllergyIntolerance/390",
"resource": {
"resourceType": "AllergyIntolerance",
"id": "390",
"meta": {
"versionId": "1",
"lastUpdated": "2021-03-23T19:36:29.300+00:00",
"source": "#iLFSV7OLv0KF8dmQ",
"profile": [
"http://hl7.org/fhir/us/core/StructureDefinition/us-core-allergyintolerance"
]
},
"clinicalStatus": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/allergyintolerance-clinical",
"code": "active"
}
]
},
"verificationStatus": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/allergyintolerance-verification",
"code": "confirmed"
}
]
},
"type": "allergy",
"category": [
"food"
],
"criticality": "low",
"code": {
"coding": [
{
"system": "http://snomed.info/sct",
"code": "419263009",
"display": "Allergy to tree pollen"
}
],
"text": "Allergy to tree pollen"
},
"patient": {
"reference": "Patient/{{PPG}}"
},
"recordedDate": "1941-10-14T18:33:18-05:00"
},
"search": {
"mode": "match"
}
},
{
"fullUrl": "https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/AllergyIntolerance/388",
"resource": {
"resourceType": "AllergyIntolerance",
"id": "388",
"meta": {
"versionId": "1",
"lastUpdated": "2021-03-23T19:36:29.300+00:00",
"source": "#iLFSV7OLv0KF8dmQ",
"profile": [
"http://hl7.org/fhir/us/core/StructureDefinition/us-core-allergyintolerance"
]
},
"clinicalStatus": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/allergyintolerance-clinical",
"code": "active"
}
]
},
"verificationStatus": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/allergyintolerance-verification",
"code": "confirmed"
}
]
},
"type": "allergy",
"category": [
"food"
],
"criticality": "low",
"code": {
"coding": [
{
"system": "http://snomed.info/sct",
"code": "232347008",
"display": "Dander (animal) allergy"
}
],
"text": "Dander (animal) allergy"
},
"patient": {
"reference": "Patient/{{PPG}}"
},
"recordedDate": "1941-10-14T18:33:18-05:00"
},
"search": {
"mode": "match"
}
},
{
"fullUrl": "https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/AllergyIntolerance/393",
"resource": {
"resourceType": "AllergyIntolerance",
"id": "393",
"meta": {
"versionId": "1",
"lastUpdated": "2021-03-23T19:36:29.300+00:00",
"source": "#iLFSV7OLv0KF8dmQ",
"profile": [
"http://hl7.org/fhir/us/core/StructureDefinition/us-core-allergyintolerance"
]
},
"clinicalStatus": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/allergyintolerance-clinical",
"code": "active"
}
]
},
"verificationStatus": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/allergyintolerance-verification",
"code": "confirmed"
}
]
},
"type": "allergy",
"category": [
"food"
],
"criticality": "low",
"code": {
"coding": [
{
"system": "http://snomed.info/sct",
"code": "417532002",
"display": "Allergy to fish"
}
],
"text": "Allergy to fish"
},
"patient": {
"reference": "Patient/{{PPG}}"
},
"recordedDate": "1941-10-14T18:33:18-05:00"
},
"search": {
"mode": "match"
}
}
]
}Care Team
Definition : The Care Team includes all the people and organizations who plan to participate in the coordination and delivery of care for a patient.
Retrieving a patient's care team(s)
The Patient's ID retrieved from Centralized Patient Database will be passed as a part of the URL. ** This API does not use date range to filter. **
Resource Content
| Name | Type | Cardinality | Description |
|---|---|---|---|
| identifier | Identifier | 0..* | external Ids for this team |
| status | code | 1..1 | proposed |
| category | CodeableConcept | 0..* | type of team |
| name | string | 0..1 | name of the team, such as the crisis assessment team |
| subject | ResourceReference | 1..1 | who care team is for |
| period | Period | 0..1 | time period team covers |
| participant | CareTeam.Participant | 1..* | members of the team |
| participant.role | CodeableConcept | 1..1 | type of involvement - Binding |
| participant.member | Reference(US Core Patient Profile | US Core Practitioner Profile | 1..1 |
| managingOrganization | ResourceReference | 0..1 | organization responsible for the care team |
| encounter | ResourceReference | 0..1 | encounter created as part of |
| reasonCode | CodeableConcept | 0..* | time period of participant |
Search Parameters
| Name | Type | Description |
|---|---|---|
| category | token | |
| date | date | |
| encounter | reference | |
| identifier | token | |
| participant | reference | |
| patient | reference | |
| status | token | |
| subject | reference | |
| _revinclude | Provenance:target |
Error Codes
| Code | Description |
|---|---|
| 400 | Invalid parameters |
| 404 | Resource not found |
CareTeam
Method: GET
https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/CareTeam
Examples
Using identifier
Request
GET https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/CareTeam/{{ResourceId}}
Response
200 - OK
Headers
| Param | Value | Description | Type |
|---|---|---|---|
| Content-Type | application/json | text |
Body
{
"resourceType": "CareTeam",
"id": "{{ResourceId}}",
"meta": {
"versionId": "1",
"lastUpdated": "2021-03-23T19:36:17.299+00:00",
"source": "#E1VolYkq84D3M96u",
"profile": [
"http://hl7.org/fhir/us/core/StructureDefinition/us-core-careteam"
]
},
"status": "active",
"subject": {
"reference": "Patient/{{PPG}}"
},
"encounter": {
"reference": "Encounter/263"
},
"period": {
"start": "1974-04-12T02:42:45-04:00"
},
"participant": [
{
"role": [
{
"coding": [
{
"system": "http://snomed.info/sct",
"code": "116154003",
"display": "Patient"
}
],
"text": "Patient"
}
],
"member": {
"reference": "Patient/{{PPG}}",
"display": "Mr. Lucien408 Bosco882"
}
},
{
"role": [
{
"coding": [
{
"system": "http://snomed.info/sct",
"code": "223366009",
"display": "Healthcare professional (occupation)"
}
],
"text": "Healthcare professional (occupation)"
}
],
"member": {
"reference": "Practitioner/105",
"display": "Dr. Willena258 Oberbrunner298"
}
},
{
"role": [
{
"coding": [
{
"system": "http://snomed.info/sct",
"code": "224891009",
"display": "Healthcare services (qualifier value)"
}
],
"text": "Healthcare services (qualifier value)"
}
],
"member": {
"reference": "Organization/104",
"display": "LOWELL GENERAL HOSPITAL"
}
}
],
"reasonCode": [
{
"coding": [
{
"system": "http://snomed.info/sct",
"code": "88805009",
"display": "Chronic congestive heart failure (disorder)"
}
],
"text": "Chronic congestive heart failure (disorder)"
}
],
"managingOrganization": [
{
"reference": "Organization/104",
"display": "LOWELL GENERAL HOSPITAL"
}
]
}Using search parameters
Request
GET https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/CareTeam?patient={{PPG}}&status=active
Response
200 - OK
Headers
| Param | Value | Description | Type |
|---|---|---|---|
| Content-Type | application/json | text |
Body
{
"resourceType": "Bundle",
"id": "2482059a-4266-4ecf-b55b-ea36dbd9c134",
"meta": {
"lastUpdated": "2022-11-04T16:03:15.410+00:00"
},
"type": "searchset",
"total": 1,
"link": [
{
"relation": "self",
"url": "https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/CareTeam?patient={{PPG}}&status=active"
}
],
"entry": [
{
"fullUrl": "https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/CareTeam/{{ResourceId}}",
"resource": {
"resourceType": "CareTeam",
"id": "{{ResourceId}}",
"meta": {
"versionId": "1",
"lastUpdated": "2021-03-23T19:36:17.299+00:00",
"source": "#E1VolYkq84D3M96u",
"profile": [
"http://hl7.org/fhir/us/core/StructureDefinition/us-core-careteam"
]
},
"status": "active",
"subject": {
"reference": "Patient/{{PPG}}"
},
"encounter": {
"reference": "Encounter/263"
},
"period": {
"start": "1974-04-12T02:42:45-04:00"
},
"participant": [
{
"role": [
{
"coding": [
{
"system": "http://snomed.info/sct",
"code": "116154003",
"display": "Patient"
}
],
"text": "Patient"
}
],
"member": {
"reference": "Patient/{{PPG}}",
"display": "Mr. Lucien408 Bosco882"
}
},
{
"role": [
{
"coding": [
{
"system": "http://snomed.info/sct",
"code": "223366009",
"display": "Healthcare professional (occupation)"
}
],
"text": "Healthcare professional (occupation)"
}
],
"member": {
"reference": "Practitioner/105",
"display": "Dr. Willena258 Oberbrunner298"
}
},
{
"role": [
{
"coding": [
{
"system": "http://snomed.info/sct",
"code": "224891009",
"display": "Healthcare services (qualifier value)"
}
],
"text": "Healthcare services (qualifier value)"
}
],
"member": {
"reference": "Organization/104",
"display": "LOWELL GENERAL HOSPITAL"
}
}
],
"reasonCode": [
{
"coding": [
{
"system": "http://snomed.info/sct",
"code": "88805009",
"display": "Chronic congestive heart failure (disorder)"
}
],
"text": "Chronic congestive heart failure (disorder)"
}
],
"managingOrganization": [
{
"reference": "Organization/104",
"display": "LOWELL GENERAL HOSPITAL"
}
]
},
"search": {
"mode": "match"
}
}
]
}Plan of Care
Definition : A record of a clinical assessment performed to determine what problem(s) may affect the patient and before planning the treatments or management strategies that are best to manage a patient's condition. Assessments are often 1:1 with a clinical consultation / encounter, but this varies greatly depending on the clinical workflow. This resource is called "Plan of Care" rather than "ClinicalAssessment" to avoid confusion with the recording of assessment tools such as Apgar score.
Retrieving a patient's Clinical Impression
The Patient's ID retrieved from Centralized Patient Database will be passed as a part of the URL. ** The Dates for filtering will use the visit dates only. **
Resource Content
| Name | Type | Cardinality | Description |
|---|---|---|---|
| identifier | Identifier | 0..* | |
| subject | ResourceReference | 0..1 | |
| status | string | 1..1 | draft |
| period | Period | 0..1 | |
| modified | dateTime | 0..1 | |
| addresses | ResourceReference | 0..* | |
| careTeam | CarePlan.Participant | 0..* | |
| goal | ResourceReference | 0..* | |
| activity | CarePlan.Activity | 0..* | |
| notes | string | 0..1 | |
| category | CodeableConcept | 1..* | type of plan - always has at least one coding with system=http://hl7.org/fhir/us/core/CodeSystem/careplan-category, code=assess-plan |
| encounter | ResourceReference | 0..1 | |
| intent | code | 1..1 | proposal |
| text | Narrative | 1..1 | |
| text.status | code | 1..1 | generated |
Search Parameters
| Name | Type | Description |
|---|---|---|
| activity-code | token | |
| activity-date | date | |
| activity-reference | reference | |
| based-on | reference | |
| care-team | reference | |
| category | token | |
| condition | reference | |
| date | date | |
| encounter | reference | |
| goal | reference | |
| identifier | token | |
| intent | token | |
| part-of | reference | |
| patient | reference | |
| performer | reference | |
| replaces | reference | |
| status | token | |
| subject | reference | |
| _revinclude | Provenance:target |
Error Codes
| Code | Description |
|---|---|
| 400 | Invalid parameters |
| 404 | Resource not found |
CarePlan
Method: GET
https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/CarePlan
Examples
Using identifier
Request
GET https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/CarePlan/{{ResourceId}}
Response
200 - OK
Headers
| Param | Value | Description | Type |
|---|---|---|---|
| Content-Type | application/json | text |
Body
{
"resourceType": "CarePlan",
"id": "{{ResourceId}}",
"meta": {
"versionId": "1",
"lastUpdated": "2021-03-23T19:36:17.299+00:00",
"source": "#E1VolYkq84D3M96u",
"profile": [
"http://hl7.org/fhir/us/core/StructureDefinition/us-core-careplan"
]
},
"text": {
"status": "generated",
"div": "<div xmlns=\"http://www.w3.org/1999/xhtml\">Care Plan for Fracture care.<br/>Activities: <ul><li>Fracture care</li><li>Fracture care</li></ul><br/>Care plan is meant to treat Fracture of clavicle.</div>"
},
"status": "completed",
"intent": "order",
"category": [
{
"coding": [
{
"system": "http://hl7.org/fhir/us/core/CodeSystem/careplan-category",
"code": "assess-plan"
}
]
},
{
"coding": [
{
"system": "http://snomed.info/sct",
"code": "385691007",
"display": "Fracture care"
}
],
"text": "Fracture care"
}
],
"subject": {
"reference": "Patient/{{PPG}}"
},
"encounter": {
"reference": "Encounter/145"
},
"period": {
"start": "1946-11-23T01:11:45-05:00",
"end": "1947-01-22T01:11:45-05:00"
},
"careTeam": [
{
"reference": "CareTeam/148"
}
],
"addresses": [
{
"reference": "Condition/146"
}
],
"activity": [
{
"detail": {
"code": {
"coding": [
{
"system": "http://snomed.info/sct",
"code": "183051005",
"display": "Recommendation to rest"
}
],
"text": "Recommendation to rest"
},
"status": "completed",
"location": {
"reference": "Location/103",
"display": "LOWELL GENERAL HOSPITAL"
}
}
},
{
"detail": {
"code": {
"coding": [
{
"system": "http://snomed.info/sct",
"code": "408580007",
"display": "Physical activity target light exercise"
}
],
"text": "Physical activity target light exercise"
},
"status": "completed",
"location": {
"reference": "Location/103",
"display": "LOWELL GENERAL HOSPITAL"
}
}
}
]
}Using search parameters
Request
GET https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/CarePlan?category=assess-plan&patient={{PPG}}
Response
200 - OK
Headers
| Param | Value | Description | Type |
|---|---|---|---|
| Content-Type | application/json | text |
Body
{
"resourceType": "Bundle",
"id": "f410b714-bc58-467c-b4fb-21b3f00888e9",
"meta": {
"lastUpdated": "2022-11-04T16:03:14.807+00:00"
},
"type": "searchset",
"total": 6,
"link": [
{
"relation": "self",
"url": "https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/CarePlan?category=assess-plan&patient={{PPG}}"
}
],
"entry": [
{
"fullUrl": "https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/CarePlan/{{ResourceId}}",
"resource": {
"resourceType": "CarePlan",
"id": "{{ResourceId}}",
"meta": {
"versionId": "1",
"lastUpdated": "2021-03-23T19:36:17.299+00:00",
"source": "#E1VolYkq84D3M96u",
"profile": [
"http://hl7.org/fhir/us/core/StructureDefinition/us-core-careplan"
]
},
"text": {
"status": "generated",
"div": "<div xmlns=\"http://www.w3.org/1999/xhtml\">Care Plan for Fracture care.<br/>Activities: <ul><li>Fracture care</li><li>Fracture care</li></ul><br/>Care plan is meant to treat Fracture of clavicle.</div>"
},
"status": "completed",
"intent": "order",
"category": [
{
"coding": [
{
"system": "http://hl7.org/fhir/us/core/CodeSystem/careplan-category",
"code": "assess-plan"
}
]
},
{
"coding": [
{
"system": "http://snomed.info/sct",
"code": "385691007",
"display": "Fracture care"
}
],
"text": "Fracture care"
}
],
"subject": {
"reference": "Patient/{{PPG}}"
},
"encounter": {
"reference": "Encounter/145"
},
"period": {
"start": "1946-11-23T01:11:45-05:00",
"end": "1947-01-22T01:11:45-05:00"
},
"careTeam": [
{
"reference": "CareTeam/148"
}
],
"addresses": [
{
"reference": "Condition/146"
}
],
"activity": [
{
"detail": {
"code": {
"coding": [
{
"system": "http://snomed.info/sct",
"code": "183051005",
"display": "Recommendation to rest"
}
],
"text": "Recommendation to rest"
},
"status": "completed",
"location": {
"reference": "Location/103",
"display": "LOWELL GENERAL HOSPITAL"
}
}
},
{
"detail": {
"code": {
"coding": [
{
"system": "http://snomed.info/sct",
"code": "408580007",
"display": "Physical activity target light exercise"
}
],
"text": "Physical activity target light exercise"
},
"status": "completed",
"location": {
"reference": "Location/103",
"display": "LOWELL GENERAL HOSPITAL"
}
}
}
]
},
"search": {
"mode": "match"
}
},
{
"fullUrl": "https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/CarePlan/211",
"resource": {
"resourceType": "CarePlan",
"id": "211",
"meta": {
"versionId": "1",
"lastUpdated": "2021-03-23T19:36:17.299+00:00",
"source": "#E1VolYkq84D3M96u",
"profile": [
"http://hl7.org/fhir/us/core/StructureDefinition/us-core-careplan"
]
},
"text": {
"status": "generated",
"div": "<div xmlns=\"http://www.w3.org/1999/xhtml\">Care Plan for Respiratory therapy.<br/>Activities: <ul><li>Respiratory therapy</li><li>Respiratory therapy</li></ul><br/>Care plan is meant to treat Acute bronchitis (disorder).</div>"
},
"status": "completed",
"intent": "order",
"category": [
{
"coding": [
{
"system": "http://hl7.org/fhir/us/core/CodeSystem/careplan-category",
"code": "assess-plan"
}
]
},
{
"coding": [
{
"system": "http://snomed.info/sct",
"code": "53950000",
"display": "Respiratory therapy"
}
],
"text": "Respiratory therapy"
}
],
"subject": {
"reference": "Patient/{{PPG}}"
},
"encounter": {
"reference": "Encounter/207"
},
"period": {
"start": "1958-12-21T00:11:45-05:00",
"end": "1959-05-29T01:11:45-04:00"
},
"careTeam": [
{
"reference": "CareTeam/210"
}
],
"addresses": [
{
"reference": "Condition/208"
}
],
"activity": [
{
"detail": {
"code": {
"coding": [
{
"system": "http://snomed.info/sct",
"code": "304510005",
"display": "Recommendation to avoid exercise"
}
],
"text": "Recommendation to avoid exercise"
},
"status": "completed",
"location": {
"reference": "Location/103",
"display": "LOWELL GENERAL HOSPITAL"
}
}
},
{
"detail": {
"code": {
"coding": [
{
"system": "http://snomed.info/sct",
"code": "371605008",
"display": "Deep breathing and coughing exercises"
}
],
"text": "Deep breathing and coughing exercises"
},
"status": "completed",
"location": {
"reference": "Location/103",
"display": "LOWELL GENERAL HOSPITAL"
}
}
}
]
},
"search": {
"mode": "match"
}
},
{
"fullUrl": "https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/CarePlan/307",
"resource": {
"resourceType": "CarePlan",
"id": "307",
"meta": {
"versionId": "1",
"lastUpdated": "2021-03-23T19:36:17.299+00:00",
"source": "#E1VolYkq84D3M96u",
"profile": [
"http://hl7.org/fhir/us/core/StructureDefinition/us-core-careplan"
]
},
"text": {
"status": "generated",
"div": "<div xmlns=\"http://www.w3.org/1999/xhtml\">Care Plan for Inpatient care plan (record artifact).<br/>Activities: <ul><li>Inpatient care plan (record artifact)</li><li>Inpatient care plan (record artifact)</li></ul><br/>Care plan is meant to treat Chronic congestive heart failure (disorder).</div>"
},
"status": "completed",
"intent": "order",
"category": [
{
"coding": [
{
"system": "http://hl7.org/fhir/us/core/CodeSystem/careplan-category",
"code": "assess-plan"
}
]
},
{
"coding": [
{
"system": "http://snomed.info/sct",
"code": "736353004",
"display": "Inpatient care plan (record artifact)"
}
],
"text": "Inpatient care plan (record artifact)"
}
],
"subject": {
"reference": "Patient/{{PPG}}"
},
"encounter": {
"reference": "Encounter/301"
},
"period": {
"start": "1977-03-28T02:25:45-05:00",
"end": "1977-03-30T03:17:45-05:00"
},
"careTeam": [
{
"reference": "CareTeam/306"
}
],
"addresses": [
{
"reference": "Condition/260"
}
],
"activity": [
{
"detail": {
"code": {
"coding": [
{
"system": "http://snomed.info/sct",
"code": "385715006",
"display": "Cardiac care (regime/therapy)"
}
],
"text": "Cardiac care (regime/therapy)"
},
"status": "completed",
"location": {
"reference": "Location/103",
"display": "LOWELL GENERAL HOSPITAL"
}
}
},
{
"detail": {
"code": {
"coding": [
{
"system": "http://snomed.info/sct",
"code": "386619000",
"display": "Low sodium diet (finding)"
}
],
"text": "Low sodium diet (finding)"
},
"status": "completed",
"location": {
"reference": "Location/103",
"display": "LOWELL GENERAL HOSPITAL"
}
}
}
]
},
"search": {
"mode": "match"
}
},
{
"fullUrl": "https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/CarePlan/284",
"resource": {
"resourceType": "CarePlan",
"id": "284",
"meta": {
"versionId": "1",
"lastUpdated": "2021-03-23T19:36:17.299+00:00",
"source": "#E1VolYkq84D3M96u",
"profile": [
"http://hl7.org/fhir/us/core/StructureDefinition/us-core-careplan"
]
},
"text": {
"status": "generated",
"div": "<div xmlns=\"http://www.w3.org/1999/xhtml\">Care Plan for Inpatient care plan (record artifact).<br/>Activities: <ul><li>Inpatient care plan (record artifact)</li><li>Inpatient care plan (record artifact)</li></ul><br/>Care plan is meant to treat Chronic congestive heart failure (disorder).</div>"
},
"status": "completed",
"intent": "order",
"category": [
{
"coding": [
{
"system": "http://hl7.org/fhir/us/core/CodeSystem/careplan-category",
"code": "assess-plan"
}
]
},
{
"coding": [
{
"system": "http://snomed.info/sct",
"code": "736353004",
"display": "Inpatient care plan (record artifact)"
}
],
"text": "Inpatient care plan (record artifact)"
}
],
"subject": {
"reference": "Patient/{{PPG}}"
},
"encounter": {
"reference": "Encounter/277"
},
"period": {
"start": "1975-04-07T02:42:45-04:00",
"end": "1975-04-08T03:25:45-04:00"
},
"careTeam": [
{
"reference": "CareTeam/283"
}
],
"addresses": [
{
"reference": "Condition/260"
}
],
"activity": [
{
"detail": {
"code": {
"coding": [
{
"system": "http://snomed.info/sct",
"code": "385715006",
"display": "Cardiac care (regime/therapy)"
}
],
"text": "Cardiac care (regime/therapy)"
},
"status": "completed",
"location": {
"reference": "Location/103",
"display": "LOWELL GENERAL HOSPITAL"
}
}
},
{
"detail": {
"code": {
"coding": [
{
"system": "http://snomed.info/sct",
"code": "386619000",
"display": "Low sodium diet (finding)"
}
],
"text": "Low sodium diet (finding)"
},
"status": "completed",
"location": {
"reference": "Location/103",
"display": "LOWELL GENERAL HOSPITAL"
}
}
}
]
},
"search": {
"mode": "match"
}
},
{
"fullUrl": "https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/CarePlan/235",
"resource": {
"resourceType": "CarePlan",
"id": "235",
"meta": {
"versionId": "1",
"lastUpdated": "2021-03-23T19:36:17.299+00:00",
"source": "#E1VolYkq84D3M96u",
"profile": [
"http://hl7.org/fhir/us/core/StructureDefinition/us-core-careplan"
]
},
"text": {
"status": "generated",
"div": "<div xmlns=\"http://www.w3.org/1999/xhtml\">Care Plan for Respiratory therapy.<br/>Activities: <ul><li>Respiratory therapy</li><li>Respiratory therapy</li></ul><br/>Care plan is meant to treat Acute bronchitis (disorder).</div>"
},
"status": "completed",
"intent": "order",
"category": [
{
"coding": [
{
"system": "http://hl7.org/fhir/us/core/CodeSystem/careplan-category",
"code": "assess-plan"
}
]
},
{
"coding": [
{
"system": "http://snomed.info/sct",
"code": "53950000",
"display": "Respiratory therapy"
}
],
"text": "Respiratory therapy"
}
],
"subject": {
"reference": "Patient/{{PPG}}"
},
"encounter": {
"reference": "Encounter/231"
},
"period": {
"start": "1964-02-03T00:17:45-05:00",
"end": "1965-06-04T01:11:45-04:00"
},
"careTeam": [
{
"reference": "CareTeam/234"
}
],
"addresses": [
{
"reference": "Condition/208"
},
{
"reference": "Condition/232"
}
],
"activity": [
{
"detail": {
"code": {
"coding": [
{
"system": "http://snomed.info/sct",
"code": "304510005",
"display": "Recommendation to avoid exercise"
}
],
"text": "Recommendation to avoid exercise"
},
"status": "completed",
"location": {
"reference": "Location/103",
"display": "LOWELL GENERAL HOSPITAL"
}
}
},
{
"detail": {
"code": {
"coding": [
{
"system": "http://snomed.info/sct",
"code": "371605008",
"display": "Deep breathing and coughing exercises"
}
],
"text": "Deep breathing and coughing exercises"
},
"status": "completed",
"location": {
"reference": "Location/103",
"display": "LOWELL GENERAL HOSPITAL"
}
}
}
]
},
"search": {
"mode": "match"
}
},
{
"fullUrl": "https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/CarePlan/267",
"resource": {
"resourceType": "CarePlan",
"id": "267",
"meta": {
"versionId": "1",
"lastUpdated": "2021-03-23T19:36:17.299+00:00",
"source": "#E1VolYkq84D3M96u",
"profile": [
"http://hl7.org/fhir/us/core/StructureDefinition/us-core-careplan"
]
},
"text": {
"status": "generated",
"div": "<div xmlns=\"http://www.w3.org/1999/xhtml\">Care Plan for Heart failure self management plan.<br/>Activities: <ul><li>Heart failure self management plan</li><li>Heart failure self management plan</li></ul><br/>Care plan is meant to treat Chronic congestive heart failure (disorder).</div>"
},
"status": "active",
"intent": "order",
"category": [
{
"coding": [
{
"system": "http://hl7.org/fhir/us/core/CodeSystem/careplan-category",
"code": "assess-plan"
}
]
},
{
"coding": [
{
"system": "http://snomed.info/sct",
"code": "735984001",
"display": "Heart failure self management plan"
}
],
"text": "Heart failure self management plan"
}
],
"subject": {
"reference": "Patient/{{PPG}}"
},
"encounter": {
"reference": "Encounter/263"
},
"period": {
"start": "1974-04-12T02:42:45-04:00"
},
"careTeam": [
{
"reference": "CareTeam/266"
}
],
"addresses": [
{
"reference": "Condition/260"
}
],
"activity": [
{
"detail": {
"code": {
"coding": [
{
"system": "http://snomed.info/sct",
"code": "183063000",
"display": "low salt diet education"
}
],
"text": "low salt diet education"
},
"status": "in-progress",
"location": {
"reference": "Location/103",
"display": "LOWELL GENERAL HOSPITAL"
}
}
},
{
"detail": {
"code": {
"coding": [
{
"system": "http://snomed.info/sct",
"code": "183301007",
"display": "physical exercise"
}
],
"text": "physical exercise"
},
"status": "in-progress",
"location": {
"reference": "Location/103",
"display": "LOWELL GENERAL HOSPITAL"
}
}
}
]
},
"search": {
"mode": "match"
}
}
]
}Diagnostic Order
Definition : A record of a request for a diagnostic investigation service to be performed.
Retrieving a patient's laboratory result diagnostic orders
The Patient's ID retrieved from Centralized Patient Database will be passed as a part of the URL. ** The Dates for filtering will use the visit dates only. **
GET https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/diagnosticsorder/patientid/123/account/glace?access_token={access_token}
| Name | Type | Default Value | Description |
|---|---|---|---|
| Patient Id * | Integer - URL parameter | - | Account specific ID of the patient, retrieved from Centralized Patient Database |
| Account Id * | String - URL parameter | - | Logical Id of the account where Patient registered, retrieved from Centralized Patient Database |
| From Date | String - Request parameter (MM-DD-YYYY) |
- | Starting date of the date range period. To search for a specific date only mention the From date and do not mention End date. |
| End Date | String - Request parameter (MM-DD-YYYY) |
- | Ending date of the date range period |
| Resource ID* | String - Request parameter | - | Issued by the authorization server to the client to access FHIR APIs. |
Note : * parameters are required.
A DAF DiagnosticOrder is returned.
| Name | Type | Cardinality | Description |
|---|---|---|---|
| identifier | Identifier | 0..* | Identifiers assigned to this order instance by the orderer and/or the receiver and/or order fulfiller. |
| item | 0..* | The specific diagnostic investigations that are requested as part of this request. Sometimes, there can only be one item per request, but in most contexts, more than one investigation can be requested. | |
| - item.code | CodeableConcept | 1..1 | A code that identifies a particular diagnostic investigation, or panel of investigations, that have been requested. |
| - item.status | code | 0..1 | The status of this individual item within the order. |
| subject | Reference ( Patient | Group | Device | Location ) | 1..1 | Who or what the investigation is to be performed on. This is usually a human patient, but diagnostic tests can also be requested on animals, groups of humans or animals, devices such as dialysis machines, or even locations (typically for environmental scans). |
| status | code | 0..1 | The status of the order. |
For more information on this resource, see http://hl7.org/fhir/R4/diagnosticorder.html
Response JSON Contains following information
Note : All API responses will be in the form on JSONArray or JSONObject. If the Patient exists in more the one account, all the response objects will be bundled into one.
{
"glace": [
{
"identifier": [
{
"system": "urn:oid:2.16.840.1.113883.3.225",
"use": "usual",
"id": "123",
"value": "123"
}
],
"item": [
{
"code": {
"coding": [
{
"display": "Snellen"
}
],
"text": "Snellen"
},
"status": "received"
}
],
"subject": {
"reference": "https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/patient/patientid/123/account/glace?access_token={access_token}",
"display": "TEST ASSOCIATE"
},
"event": [
{
"dateTime": "2017-07-18T00:00:00+05:30"
}
],
"resourceType": "DiagnosticOrder",
"status": "received"
}
]
}
Encounter
Definition : An interaction between a patient and healthcare provider(s) for the purpose of providing healthcare service(s) or assessing the health status of a patient.
Retrieving a patient's encounters
The Patient's ID retrieved from Centralized Patient Database will be passed as a part of the URL. ** The Dates for filtering will use the visit dates only. **
Resource Content
| Name | Type | Cardinality | Description |
|---|---|---|---|
| identifier | Identifier | 0..* | identifier(s) by which this encounter is known |
| status | code | 1..1 | planned |
| statusHistory | BackboneElement | 0..* | list of past encounter statuses |
| class | Coding | 1..1 | inpatient |
| classHistory | BackboneElement | 0..* | list of past encounter classes |
| type | CodeableConcept | 1..* | specific type of encounter - Binding |
| serviceType | CodeableConcept | 0..1 | specific type of service |
| priority | CodeableConcept | 0..1 | indicates the urgency of the encounter |
| subject | Reference(US Core Patient Profile) | 1..1 | the patient or group present at the encounter |
| episodeOfCare | Reference | 0..* | episode(s) of care that this encounter should be recorded against |
| basedOn | Reference | 0..* | the ServiceRequest that initiated this encounter |
| participant | BackboneElement | 0..* | list of participants involved in the encounter |
| appointment | Reference | 0..* | the appointment that scheduled this encounter |
| period | Period | 0..1 | the start and end time of the encounter |
| length | Duration | 0..1 | quantity of time the encounter lasted (less time absent) |
| reasonCode | CodeableConcept | 0..* | coded reason the encounter takes place |
| reasonReference | Reference | 0..* | reason the encounter takes place (reference) |
| diagnosis | BackboneElement | 0..* | the list of diagnoses relevant to this encounter |
| account | Reference | 0..* | the set of accounts that may be used for billing for this Encounter |
| hospitalization | BackboneElement | 0..1 | details about the admission to a healthcare service |
| hospitalization.dischargeDisposition | CodeableConcept | 0..1 | category or kind of location after discharge |
| location | BackboneElement | 0..* | list of locations where the patient has been |
| location.location | Location | 1..1 | location the encounter takes place |
| serviceProvider | Reference | 0..1 | the custodian organization of this Encounter record |
| partOf | Reference | 0..1 | another encounter this encounter is part of |
Search Parameters
| Name | Type | Description |
|---|---|---|
| date | date | a date within the period the Encounter lasted |
| identifier | token | identifier(s) by which this encounter is known |
| episodeofcare | reference | episode(s) of care that this encounter should be recorded against |
| participant-type | token | role of participant in encounter |
| practitioner | reference | persons involved in the encounter other than the patient |
| subject | reference | the patient or group present at the encounter |
| length | number | length of encounter in days |
| diagnosis | reference | reason the encounter takes place (resource) |
| appointment | reference | the appointment that scheduled this encounter |
| participant | reference | persons involved in the encounter other than the patient |
| patient | reference | the patient or group present at the encounter |
| location-period | date | time period during which the patient was present at the location |
| location | reference | location the encounter takes place |
| service-provider | reference | the custodian organization of this encounter record |
| class | token | inpatient |
| status | token | planned |
| service-type | token | |
| _include | Encounter:episodeofcare | |
| _revinclude | Provenance:target |
Errors
| Code | Description |
|---|---|
| 400 | Invalid parameters |
| 404 | Resource not found |
Encounter
Method: GET
https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/Encounter
Examples
Using identifier
Request
GET https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/Encounter/{{ResourceId}}
Response
200 - OK
Headers
| Param | Value | Description | Type |
|---|---|---|---|
| Content-Type | application/json | text |
Body
{
"resourceType": "Encounter",
"id": "{{ResourceId}}",
"meta": {
"versionId": "1",
"lastUpdated": "2021-03-23T19:36:17.299+00:00",
"source": "#E1VolYkq84D3M96u",
"profile": [
"http://hl7.org/fhir/us/core/StructureDefinition/us-core-encounter"
]
},
"identifier": [
{
"use": "official",
"system": "https://github.com/synthetichealth/synthea",
"value": "f3a71d9a-67bd-756f-2de7-db59e6788457"
}
],
"status": "finished",
"class": {
"system": "http://terminology.hl7.org/CodeSystem/v3-ActCode",
"code": "AMB"
},
"type": [
{
"coding": [
{
"system": "http://snomed.info/sct",
"code": "162673000",
"display": "General examination of patient (procedure)"
}
],
"text": "General examination of patient (procedure)"
}
],
"subject": {
"reference": "Patient/{{PPG}}",
"display": "Mr. Lucien408 Bosco882"
},
"participant": [
{
"type": [
{
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/v3-ParticipationType",
"code": "PPRF",
"display": "primary performer"
}
],
"text": "primary performer"
}
],
"period": {
"start": "1958-05-23T01:11:45-04:00",
"end": "1958-05-23T01:26:45-04:00"
},
"individual": {
"reference": "Practitioner/88",
"display": "Dr. Melvin857 Torp761"
}
}
],
"period": {
"start": "1958-05-23T01:11:45-04:00",
"end": "1958-05-23T01:26:45-04:00"
},
"location": [
{
"location": {
"reference": "Location/86",
"display": "PCP87052"
}
}
],
"serviceProvider": {
"reference": "Organization/87",
"display": "PCP87052"
}
}Goals
Definition : Describes the intended objective(s) for a patient, group or organization care, for example, weight loss, restoring an activity of daily living, obtaining herd immunity via immunization, meeting a process improvement objective, etc.
Retrieving a patient's goals
The Patient's ID retrieved from Centralized Patient Database will be passed as a part of the URL. ** The Dates for filtering will use the visit dates only. **
Resource Content
| Name | Type | Cardinality | Description |
|---|---|---|---|
| identifier | Identifier | 0..* | external Ids for this goal |
| lifecycleStatus | code | 1..1 | proposed |
| achievementStatus | code | 0..1 | in-progress |
| category | CodeableConcept | 0..* | e.g. Treatment, dietary, behavioral, etc. |
| priority | CodeableConcept | 0..1 | high-priority |
| description | CodeableConcept | 1..1 | code or text describing goal |
| subject | Reference(US Core Patient Profile) | 1..1 | who this goal is intended for |
| startDate | date | 0..1 | when goal pursuit begins |
| startCodeableConcept | CodeableConcept | 0..1 | when goal pursuit begins |
| target | BackboneElement | 0..* | target outcome for the goal |
| target.dueDate | date | 0..1 | reach goal on or before |
| statusDate | date | 0..1 | when goal status took effect |
| statusReason | string | 0..1 | reason for current status |
| expressedBy | Reference | 0..1 | who's responsible for creating Goal |
| addresses | Reference | 0..* | issues addressed by this goal |
| note | Annotation | 0..* | comments about the goal |
| outcomeCode | CodeableConcept | 0..* | what result was achieved regarding the goal |
| outcomeReference | Reference | 0..* | observation that resulted from goal |
Search Parameters
| Name | Type | Description |
|---|---|---|
| patient | reference | who this goal is intended for |
| subject | reference | who this goal is intended for |
| start-date | date | when goal pursuit begins |
| category | token | e.g. treatment, dietary, behavioral, etc. |
| lifecycleStatus | token | proposed |
| achievementStatus | token | in-progress |
| _revinclude | Provenance:target |
Errors
| Code | Description |
|---|---|
| 400 | Invalid parameters |
| 404 | Resource not found |
Goal
Method: GET
https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/Goal
Examples
Using identifier
Request
GET https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/Goal/{{ResourceId}}
Response
200 - OK
Headers
| Param | Value | Description | Type |
|---|---|---|---|
| Content-Type | application/json | text |
Body
{
"resourceType": "Goal",
"id": "{{ResourceId}}",
"meta": {
"versionId": "1",
"lastUpdated": "2021-03-23T19:36:29.300+00:00",
"source": "#iLFSV7OLv0KF8dmQ",
"profile": [
"http://hl7.org/fhir/us/core/StructureDefinition/us-core-goal"
]
},
"lifecycleStatus": "active",
"description": {
"coding": [
{
"system": "http://snomed.info/sct",
"code": "281004",
"display": "Alcoholic dementia"
}
],
"text": "Alcoholic dementia"
},
"subject": {
"reference": "Patient/{{PPG}}"
},
"target": [
{
"dueDate": "2020-12-07"
}
]
}Using search parameter
Request
GET https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/Goal?patient={{PPG}}&_revinclude=Provenance:target
Response
200 - OK
Headers
| Param | Value | Description | Type |
|---|---|---|---|
| Content-Type | application/json | text |
Body
{
"resourceType": "Bundle",
"id": "07aa2339-685b-47d0-8053-10ea1c1f5460",
"meta": {
"lastUpdated": "2022-11-04T16:03:21.867+00:00"
},
"type": "searchset",
"total": 0,
"link": [
{
"relation": "self",
"url": "https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/Goal?_revinclude=Provenance%3Atarget&patient={{PPG}}"
}
]
}Health Concerns
Definition : Use to record detailed information about conditions, problems or diagnoses recognized by a clinician like recording a problem, diagnosis, health concern or health issue during an encounter
Retrieving a patient's health concerns
The Patient's ID retrieved from Centralized Patient Database will be passed as a part of the URL. ** The Dates for filtering will use the visit dates only. **
Condition
Resource Content
| Name | Type | Cardinality | Description |
|---|---|---|---|
| identifier | Identifier | 0..* | external Ids for this condition |
| clinicalStatus | CodeableConcept | 0..1 | active |
| verificationStatus | CodeableConcept | 0..1 | provisional |
| category | CodeableConcept | 1..* | problem-list-item |
| encounter | Reference | 0..1 | encounter created as part of |
| severity | CodeableConcept | 0..1 | subjective severity of condition |
| code | CodeableConcept | 1..1 | identification of the condition, problem or diagnosis - Binding |
| bodySite | CodeableConcept | 0..* | anatomical location, if relevant |
| subject | Reference(US Core Patient Profile) | 1..1 | who has the condition |
| onsetDateTime | dateTime | 0..1 | estimated or actual date, date-time, or age |
| onsetAge | Age | 0..1 | estimated or actual date, date-time, or age |
| onsetPeriod | Period | 0..1 | estimated or actual date, date-time, or age |
| onsetRange | Range | 0..1 | estimated or actual date, date-time, or age |
| onsetString | string | 0..1 | estimated or actual date, date-time, or age |
| abatementDateTime | dateTime | 0..1 | if/when in resolution/remission |
| abatementAge | Age | 0..1 | if/when in resolution/remission |
| abatementPeriod | Period | 0..1 | if/when in resolution/remission |
| abatementRange | Range | 0..1 | if/when in resolution/remission |
| abatementString | string | 0..1 | if/when in resolution/remission |
| recordedDate | dateTime | 0..1 | date record was believed accurate |
| recorder | Reference | 0..1 | person who asserts this condition |
| asserter | Reference | 0..1 | person who asserts this condition |
| stage | BackboneElement | 0..* | stage/grade, usually assessed formally |
| evidence | BackboneElement | 0..* | supporting evidence |
| note | Annotation | 0..* | additional information about the Condition |
Search Parameters
| Name | Type | Description |
|---|---|---|
| severity | token | the severity of the condition |
| code | token | code for the condition |
| evidence | token | manifestation/symptom |
| subject | reference | who has the condition |
| clinical-status | token | the clinical status of the condition |
| encounter | reference | encounter when condition first asserted |
| abatement-boolean | token | abatement boolean (boolean is true or non-boolean values are present) |
| onset-date | date | date related onsets (dateTime and Period) |
| abatement-date | date | date-related abatements (dateTime and period) |
| asserter | reference | person who asserts this condition |
| stage | token | simple summary (disease specific) |
| patient | reference | who has the condition |
| context | reference | encounter or episode when condition first asserted |
| recorded-date | date | date record was believed accurate |
| category | token | the category of the condition |
| _include | undefined | condition:subject |
| _revinclude | provenance:target |
Error Codes
| Code | Description |
|---|---|
| 400 | Invalid parameters |
| 404 | Resource not found |
Condition
Method: GET
https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/Condition
Examples
Using identifier
Request
GET https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/Condition/{{ResourceId}}
Response
200 - OK
Headers
| Param | Value | Description | Type |
|---|---|---|---|
| Content-Type | application/json | text |
Body
{
"resourceType": "Condition",
"id": "{{ResourceId}}",
"meta": {
"versionId": "1",
"lastUpdated": "2021-03-23T19:36:17.299+00:00",
"source": "#E1VolYkq84D3M96u",
"profile": [
"http://hl7.org/fhir/us/core/StructureDefinition/us-core-condition"
]
},
"clinicalStatus": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/condition-clinical",
"code": "active"
}
]
},
"verificationStatus": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/condition-ver-status",
"code": "confirmed"
}
]
},
"category": [
{
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/condition-category",
"code": "encounter-diagnosis",
"display": "Encounter Diagnosis"
}
]
}
],
"code": {
"coding": [
{
"system": "http://snomed.info/sct",
"code": "88805009",
"display": "Chronic congestive heart failure (disorder)"
}
],
"text": "Chronic congestive heart failure (disorder)"
},
"subject": {
"reference": "Patient/{{PPG}}"
},
"encounter": {
"reference": "Encounter/259"
},
"onsetDateTime": "1974-03-29T01:11:45-04:00",
"recordedDate": "1974-03-29T01:11:45-04:00"
}Using search parameters
Request
GET https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/Condition?patient={{PPG}}
Response
200 - OK
Headers
| Param | Value | Description | Type |
|---|---|---|---|
| Content-Type | application/json | text |
Body
{
"resourceType": "Bundle",
"id": "9c1f35ee-29fb-4b25-8436-1d8f89e603da",
"meta": {
"lastUpdated": "2022-11-04T16:03:16.261+00:00"
},
"type": "searchset",
"total": 13,
"link": [
{
"relation": "self",
"url": "https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/Condition?patient={{PPG}}"
},
{
"relation": "next",
"url": "https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}?_getpages=9c1f35ee-29fb-4b25-8436-1d8f89e603da&_getpagesoffset=10&_count=10&_pretty=true&_bundletype=searchset"
}
],
"entry": [
{
"fullUrl": "https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/Condition/{{ResourceId}}",
"resource": {
"resourceType": "Condition",
"id": "{{ResourceId}}",
"meta": {
"versionId": "1",
"lastUpdated": "2021-03-23T19:36:17.299+00:00",
"source": "#E1VolYkq84D3M96u",
"profile": [
"http://hl7.org/fhir/us/core/StructureDefinition/us-core-condition"
]
},
"clinicalStatus": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/condition-clinical",
"code": "active"
}
]
},
"verificationStatus": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/condition-ver-status",
"code": "confirmed"
}
]
},
"category": [
{
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/condition-category",
"code": "encounter-diagnosis",
"display": "Encounter Diagnosis"
}
]
}
],
"code": {
"coding": [
{
"system": "http://snomed.info/sct",
"code": "88805009",
"display": "Chronic congestive heart failure (disorder)"
}
],
"text": "Chronic congestive heart failure (disorder)"
},
"subject": {
"reference": "Patient/{{PPG}}"
},
"encounter": {
"reference": "Encounter/259"
},
"onsetDateTime": "1974-03-29T01:11:45-04:00",
"recordedDate": "1974-03-29T01:11:45-04:00"
},
"search": {
"mode": "match"
}
},
{
"fullUrl": "https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/Condition/220",
"resource": {
"resourceType": "Condition",
"id": "220",
"meta": {
"versionId": "1",
"lastUpdated": "2021-03-23T19:36:17.299+00:00",
"source": "#E1VolYkq84D3M96u",
"profile": [
"http://hl7.org/fhir/us/core/StructureDefinition/us-core-condition"
]
},
"clinicalStatus": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/condition-clinical",
"code": "resolved"
}
]
},
"verificationStatus": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/condition-ver-status",
"code": "confirmed"
}
]
},
"category": [
{
"extension": [
{
"url": "http://hl7.org/fhir/StructureDefinition/data-absent-reason",
"valueCode": "unknown"
}
]
}
],
"code": {
"coding": [
{
"system": "http://snomed.info/sct",
"code": "195662009",
"display": "Acute viral pharyngitis (disorder)"
}
],
"text": "Acute viral pharyngitis (disorder)"
},
"subject": {
"reference": "Patient/{{PPG}}"
},
"encounter": {
"reference": "Encounter/219"
},
"onsetDateTime": "1961-06-25T01:11:45-04:00",
"abatementDateTime": "1961-07-07T01:11:45-04:00",
"recordedDate": "1961-06-25T01:11:45-04:00"
},
"search": {
"mode": "match"
}
},
{
"fullUrl": "https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/Condition/111",
"resource": {
"resourceType": "Condition",
"id": "111",
"meta": {
"versionId": "1",
"lastUpdated": "2021-03-23T19:36:17.299+00:00",
"source": "#E1VolYkq84D3M96u",
"profile": [
"http://hl7.org/fhir/us/core/StructureDefinition/us-core-condition"
]
},
"clinicalStatus": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/condition-clinical",
"code": "resolved"
}
]
},
"verificationStatus": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/condition-ver-status",
"code": "confirmed"
}
]
},
"category": [
{
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/condition-category",
"code": "encounter-diagnosis",
"display": "Encounter Diagnosis"
}
]
}
],
"code": {
"coding": [
{
"system": "http://snomed.info/sct",
"code": "195662009",
"display": "Acute viral pharyngitis (disorder)"
}
],
"text": "Acute viral pharyngitis (disorder)"
},
"subject": {
"reference": "Patient/{{PPG}}"
},
"encounter": {
"reference": "Encounter/110"
},
"onsetDateTime": "1941-01-26T00:11:45-05:00",
"abatementDateTime": "1941-02-06T00:11:45-05:00",
"recordedDate": "1941-01-26T00:11:45-05:00"
},
"search": {
"mode": "match"
}
},
{
"fullUrl": "https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/Condition/208",
"resource": {
"resourceType": "Condition",
"id": "208",
"meta": {
"versionId": "1",
"lastUpdated": "2021-03-23T19:36:17.299+00:00",
"source": "#E1VolYkq84D3M96u",
"profile": [
"http://hl7.org/fhir/us/core/StructureDefinition/us-core-condition"
]
},
"clinicalStatus": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/condition-clinical",
"code": "resolved"
}
]
},
"verificationStatus": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/condition-ver-status",
"code": "confirmed"
}
]
},
"category": [
{
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/condition-category",
"code": "encounter-diagnosis",
"display": "Encounter Diagnosis"
}
]
}
],
"code": {
"coding": [
{
"system": "http://snomed.info/sct",
"code": "10509002",
"display": "Acute bronchitis (disorder)"
}
],
"text": "Acute bronchitis (disorder)"
},
"subject": {
"reference": "Patient/{{PPG}}"
},
"encounter": {
"reference": "Encounter/207"
},
"onsetDateTime": "1958-12-21T00:11:45-05:00",
"abatementDateTime": "1958-12-28T00:11:45-05:00",
"recordedDate": "1958-12-21T00:11:45-05:00"
},
"search": {
"mode": "match"
}
},
{
"fullUrl": "https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/Condition/176",
"resource": {
"resourceType": "Condition",
"id": "176",
"meta": {
"versionId": "1",
"lastUpdated": "2021-03-23T19:36:17.299+00:00",
"source": "#E1VolYkq84D3M96u",
"profile": [
"http://hl7.org/fhir/us/core/StructureDefinition/us-core-condition"
]
},
"clinicalStatus": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/condition-clinical",
"code": "resolved"
}
]
},
"verificationStatus": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/condition-ver-status",
"code": "confirmed"
}
]
},
"category": [
{
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/condition-category",
"code": "encounter-diagnosis",
"display": "Encounter Diagnosis"
}
]
}
],
"code": {
"coding": [
{
"system": "http://snomed.info/sct",
"code": "444814009",
"display": "Viral sinusitis (disorder)"
}
],
"text": "Viral sinusitis (disorder)"
},
"subject": {
"reference": "Patient/{{PPG}}"
},
"encounter": {
"reference": "Encounter/175"
},
"onsetDateTime": "1951-09-04T01:11:45-04:00",
"abatementDateTime": "1951-09-18T01:11:45-04:00",
"recordedDate": "1951-09-04T01:11:45-04:00"
},
"search": {
"mode": "match"
}
},
{
"fullUrl": "https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/Condition/251",
"resource": {
"resourceType": "Condition",
"id": "251",
"meta": {
"versionId": "1",
"lastUpdated": "2021-03-23T19:36:17.299+00:00",
"source": "#E1VolYkq84D3M96u",
"profile": [
"http://hl7.org/fhir/us/core/StructureDefinition/us-core-condition"
]
},
"clinicalStatus": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/condition-clinical",
"code": "resolved"
}
]
},
"verificationStatus": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/condition-ver-status",
"code": "confirmed"
}
]
},
"category": [
{
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/condition-category",
"code": "encounter-diagnosis",
"display": "Encounter Diagnosis"
}
]
}
],
"code": {
"coding": [
{
"system": "http://snomed.info/sct",
"code": "195662009",
"display": "Acute viral pharyngitis (disorder)"
}
],
"text": "Acute viral pharyngitis (disorder)"
},
"subject": {
"reference": "Patient/{{PPG}}"
},
"encounter": {
"reference": "Encounter/250"
},
"onsetDateTime": "1969-10-08T01:11:45-04:00",
"abatementDateTime": "1969-10-15T01:11:45-04:00",
"recordedDate": "1969-10-08T01:11:45-04:00"
},
"search": {
"mode": "match"
}
},
{
"fullUrl": "https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/Condition/158",
"resource": {
"resourceType": "Condition",
"id": "158",
"meta": {
"versionId": "1",
"lastUpdated": "2021-03-23T19:36:17.299+00:00",
"source": "#E1VolYkq84D3M96u",
"profile": [
"http://hl7.org/fhir/us/core/StructureDefinition/us-core-condition"
]
},
"clinicalStatus": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/condition-clinical",
"code": "resolved"
}
]
},
"verificationStatus": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/condition-ver-status",
"code": "confirmed"
}
]
},
"category": [
{
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/condition-category",
"code": "encounter-diagnosis",
"display": "Encounter Diagnosis"
}
]
}
],
"code": {
"coding": [
{
"system": "http://snomed.info/sct",
"code": "65363002",
"display": "Otitis media"
}
],
"text": "Otitis media"
},
"subject": {
"reference": "Patient/{{PPG}}"
},
"encounter": {
"reference": "Encounter/157"
},
"onsetDateTime": "1947-11-01T00:11:45-05:00",
"abatementDateTime": "1948-03-26T00:11:45-05:00",
"recordedDate": "1947-11-01T00:11:45-05:00"
},
"search": {
"mode": "match"
}
},
{
"fullUrl": "https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/Condition/249",
"resource": {
"resourceType": "Condition",
"id": "249",
"meta": {
"versionId": "1",
"lastUpdated": "2021-03-23T19:36:17.299+00:00",
"source": "#E1VolYkq84D3M96u",
"profile": [
"http://hl7.org/fhir/us/core/StructureDefinition/us-core-condition"
]
},
"clinicalStatus": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/condition-clinical",
"code": "resolved"
}
]
},
"verificationStatus": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/condition-ver-status",
"code": "confirmed"
}
]
},
"category": [
{
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/condition-category",
"code": "encounter-diagnosis",
"display": "Encounter Diagnosis"
}
]
}
],
"code": {
"coding": [
{
"system": "http://snomed.info/sct",
"code": "444814009",
"display": "Viral sinusitis (disorder)"
}
],
"text": "Viral sinusitis (disorder)"
},
"subject": {
"reference": "Patient/{{PPG}}"
},
"encounter": {
"reference": "Encounter/248"
},
"onsetDateTime": "1969-06-22T01:11:45-04:00",
"abatementDateTime": "1969-07-06T01:11:45-04:00",
"recordedDate": "1969-06-22T01:11:45-04:00"
},
"search": {
"mode": "match"
}
},
{
"fullUrl": "https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/Condition/258",
"resource": {
"resourceType": "Condition",
"id": "258",
"meta": {
"versionId": "1",
"lastUpdated": "2021-03-23T19:36:17.299+00:00",
"source": "#E1VolYkq84D3M96u",
"profile": [
"http://hl7.org/fhir/us/core/StructureDefinition/us-core-condition"
]
},
"clinicalStatus": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/condition-clinical",
"code": "resolved"
}
]
},
"verificationStatus": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/condition-ver-status",
"code": "confirmed"
}
]
},
"category": [
{
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/condition-category",
"code": "encounter-diagnosis",
"display": "Encounter Diagnosis"
}
]
}
],
"code": {
"coding": [
{
"system": "http://snomed.info/sct",
"code": "195662009",
"display": "Acute viral pharyngitis (disorder)"
}
],
"text": "Acute viral pharyngitis (disorder)"
},
"subject": {
"reference": "Patient/{{PPG}}"
},
"encounter": {
"reference": "Encounter/257"
},
"onsetDateTime": "1972-03-05T00:11:45-05:00",
"abatementDateTime": "1972-03-13T00:11:45-05:00",
"recordedDate": "1972-03-05T00:11:45-05:00"
},
"search": {
"mode": "match"
}
},
{
"fullUrl": "https://fhir.glaceemr.com/fhir_base_r4/fhir/{accountId}/Condition/108",
"resource": {
"resourceType": "Condition",
"id": "108",
"meta": {
"versionId": "1",
"lastUpdated": "2021-03-23T19:36:17.299+00:00",
"source": "#E1VolYkq84D3M96u",
"profile": [
"http://hl7.org/fhir/us/core/StructureDefinition/us-core-condition"
]
},
"clinicalStatus": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/condition-clinical",
"code": "resolved"
}
]
},
"verificationStatus": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/condition-ver-status",
"code": "confirmed"
}
]
},
"category": [
{
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/condition-category",
"code": "encounter-diagnosis",
"display": "Encounter Diagnosis"
}
]
}
],
"code": {
"coding": [
{
"system": "http://snomed.info/sct",
"code": "65363002",
"display": "Otitis media"
}
],
"text": "Otitis media"
},
"subject": {
"reference": "Patient/{{PPG}}"
},
"encounter": {
"reference": "Encounter/107"
},
"onsetDateTime": "1940-12-24T00:11:45-05:00",
"abatementDateTime": "1941-03-07T00:11:45-05:00",
"recordedDate": "1940-12-24T00:11:45-05:00"
},
"search": {
"mode": "match"
}
}
]
}Immunization
[...]
